Bug 135216 - control-center should not depend on nautilus, samba
Summary: control-center should not depend on nautilus, samba
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-10 19:28 UTC by Jamie Zawinski
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 21:31:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jamie Zawinski 2004-10-10 19:28:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
I'm trying to uninstall things I don't need or use.
I was trying to uninstall Samba, since it's Windows stuff that I never
come anywhere near.

I can't uninstall Samba without uninstalling Nautilus.
That's fine, I don't use Nautilus either.

But I can't uninstall Nautilus without uninstalling
control-center, which I do use.  That's bogus.

samba-common >= 3.0.0 is needed by (installed) gnome-vfs2-smb-2.6.0-8
gnome-vfs2-extras is needed by (installed) nautilus-2.6.0-4
libnautilus.so.2 is needed by (installed) control-center-2.6.1-3


Version-Release number of selected component (if applicable):
control-center-2.6.1-3

How reproducible:
Always

Steps to Reproduce:
rpm -e samba-common gnome-vfs2-smb nautilus nautilus-cd-burner

Additional info:

Comment 1 John 2005-01-15 20:35:38 UTC
The control center is displayed in nautilus, which is why
control-center depends on it.

Comment 2 Jamie Zawinski 2005-01-15 21:20:52 UTC
So what?  Add a control-center-nautilus package or something that
contains the shim.  Or make nautilus depend on control-center instead.
 This is not an insoluble problem.

Comment 3 Matthew Miller 2005-04-26 15:43:16 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 4 Ray Strode [halfline] 2005-05-11 21:31:20 UTC
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.


Note You need to log in before you can comment on or make changes to this bug.